FunnelResource
RESTful endpoint for managing a Funnel.
The following resources are applicable:
- /controller/process-groups/{process-group-id}/funnels
- /controller/process-groups/{process-group-id}/funnels/{id}
/controller/process-groups/{process-group-id}/funnels
Mount Point: /rest/controller/process-groups/{process-group-id}/funnels
The following operations are supported on this resource:
GET
Retrieves all the of funnels in this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | funnelsEntity |
| media types: | application/xml application/json |
A funnelsEntity.
POST
Creates a new funnel.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | funnelEntity |
| media types: | application/xml application/json |
A funnelEntity.
POST
Creates a new Funnel.
Parameters
| name | description | type | default |
|---|---|---|---|
| process-group-id | (no documentation provided) | path |
Request Body
| element: | funnelEntity |
| media types: | application/xml application/json |
A funnelEntity.
Response Body
| element: | funnelEntity |
| media types: | application/xml application/json |
A funnelEntity.
/controller/process-groups/{process-group-id}/funnels/{id}
Mount Point: /rest/controller/process-groups/{process-group-id}/funnels/{id}
The following operations are supported on this resource:
GET
Retrieves the specified funnel.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the funnel to retrieve | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | funnelEntity |
| media types: | application/xml application/json |
A funnelEntity.
PUT
Updates the specified funnel.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the funnel to update. | path | |
| parentGroupId | The id of the process group to move this funnel to. | form | |
| x | The x coordinate for this funnels position. | form | |
| y | The y coordinate for this funnels position. | form | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | funnelEntity |
| media types: | application/xml application/json |
A funnelEntity.
PUT
Creates a new Funnel.
Parameters
| name | description | type | default |
|---|---|---|---|
| id | The id of the funnel to update. | path | |
| process-group-id | (no documentation provided) | path |
Request Body
| element: | funnelEntity |
| media types: | application/xml application/json |
A funnelEntity.
Response Body
| element: | funnelEntity |
| media types: | application/xml application/json |
A funnelEntity.
DELETE
Removes the specified funnel.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | query | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the funnel to remove. | path | |
| process-group-id | (no documentation provided) | path |
Response Body
| element: | funnelEntity |
| media types: | application/xml application/json |
A entity containing the client id and an updated revision.